Ignore:
Timestamp:
Aug 17, 2014, 1:40:09 PM (5 years ago)
Author:
afb@…
Message:

upgrade to python27 and perl5.16

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/dports/sysutils/yum/Portfile

    r91796 r124022  
    66version         3.2.29
    77set branch      [join [lrange [split ${version} .] 0 1] .]
     8revision        1       
    89platforms       darwin
    910categories      sysutils archivers
     
    2627patchfiles      patch-prefix.diff patch-sqlutils.py patch-packages.py
    2728
    28 depends_lib     lib:librpm:rpm
    29 depends_build   port:intltool
     29depends_lib     path:lib/python2.7/site-packages/rpm/__init__.py:rpm port:python27 port:py27-urlgrabber port:py27-libxml2 port:py27-yum-metadata-parser port:py27-iniparse port:py27-pygpgme
     30depends_build   port:intltool port:py27-nose
    3031
    3132set python.bin  ""
     
    5354pre-destroot {
    5455        destroot.args-append    PYTHON="${python.bin}"
    55 }
    56 
    57 variant python25 conflicts python26 description "use python 2.5" {
    58         depends_lib-append      port:python25 port:py25-celementtree port:py25-urlgrabber port:py25-libxml2 port:py25-yum-metadata-parser port:py25-iniparse port:py25-pygpgme
    59         depends_build-append    port:py25-nose
    60         set python.bin          ${prefix}/bin/python2.5
    61 }
    62 
    63 variant python26 conflicts python25 description "use python 2.6" {
    64         depends_lib-append      port:python26 port:py26-celementtree port:py26-urlgrabber port:py26-libxml2 port:py26-yum-metadata-parser port:py26-iniparse port:py26-pygpgme
    65         depends_build-append    port:py26-nose
    66         set python.bin          ${prefix}/bin/python2.6
    67 }
    68 
    69 if {![variant_isset python25] && ![variant_isset python26]} {
    70         default_variants +python25
    7156}
    7257
Note: See TracChangeset for help on using the changeset viewer.